source("modules/Loading/Loading.R")
source("modules/Calibration/Calibration.R")
source("modules/Downscaling/Downscaling.R")
source("modules/Anomalies/Anomalies.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")
source("modules/Visualization/Visualization.R")

recipe_file <- "modules/Loading/testing_recipes/recipe_system5c3s-tas_downscaling.yml"
recipe <- prepare_outputs(recipe_file)

# Load datasets
data <- load_datasets(recipe)
# Downscale datasets
data <- downscale_datasets(recipe, data)
# Calibrate datasets
data <- calibrate_datasets(recipe, data)
# Compute anomalies
data <- compute_anomalies(recipe, data)
# Compute skill metrics 
skill_metrics <- compute_skill_metrics(recipe, data)
# Compute percentiles and probability bins
probabilities <- compute_probabilities(recipe, data)
# Plot data
plot_data(recipe, data, skill_metrics, probabilities,
	  significance = T)
